git-annex/ git-annex-mincopies

# NAME

git-annex mincopies - configure minimum number of copies

# SYNOPSIS

git annex mincopies `N`

# DESCRIPTION

Tells git-annex how many copies it is required to preserve of files, over all repositories. The default is 1.

Run without a number to get the current value.

This configuration is stored in the git-annex branch, so it will be seen by all clones of the repository. It can be overridden on a per-file basis by the annex.mincopies setting in .gitattributes files, or can be overridden temporarily with the --mincopies option.

This supplements the git-annex-numcopies(1) setting. In unusual situations, involving special remotes that do not support locking, and concurrent drops of the same content from multiple repositories, git-annex may violate the numcopies setting. In these unusual situations, git-annex ensures that the number of copies never goes below mincopies.

It is a good idea to not only rely on only setting mincopies. Set numcopies as well, to a larger number, and keep mincopies at the bare minimum you're comfortable with. Setting mincopies to a large number, rather than setting numcopies will in some cases prevent droping content in entirely safe situations.

# OPTIONS

- The git-annex-common-options(1) can be used.

# SEE ALSO

git-annex(1) git-annex-numcopies(1) git-annex-config(1)

# AUTHOR

Joey Hess id@joeyh.name

Warning: Automatically converted into a man page by mdwn2man. Edit with care.

Comments on this page are closed.